iCloud won't work on old operating systems

Look, if you refuse to upgrade past Windows XP, well, you're doing it wrong. Come on, Grandpa. Put away the Boston album, park the Pacer, get rid of that Where's The Beef t-shirt, and get Windows Vista or Windows 7. Because that's the only way you'll be able to run Apple's new iCloud service. Just like the latest version of Microsoft's own Internet Explorer, iCloud won't work on old operating systems. That leaves out about half of the world's PCs.

About the author

John Moe is the host of Marketplace Tech Report, where he provides an insightful overview of the latest tech news.

Comments

I agree to American Public Media's Terms and Conditions.
With Generous Support From...